io.undertow.util

## Class QValueParser.QValueResult

- java.lang.Object
- - io.undertow.util.QValueParser.QValueResult

All Implemented Interfaces:
  Comparable<QValueParser.QValueResult>

Enclosing class:
  QValueParser

    public static class QValueParser.QValueResult
    extends Object
    implements Comparable<QValueParser.QValueResult>

### Constructor Summary

Constructors
Constructor and Description
`QValueResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(QValueParser.QValueResult other)`
`boolean` `equals(Object o)`
`String` `getQvalue()`
`String` `getValue()`
`int` `hashCode()`
`boolean` `isQValueZero()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QValueResult

    public QValueResult()

### Method Detail

#### getValue

    public String getValue()

#### getQvalue

    public String getQvalue()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo(QValueParser.QValueResult other)

Specified by:
  `compareTo` in interface `Comparable<QValueParser.QValueResult>`

#### isQValueZero

    public boolean isQValueZero()